package com.android.jingdong.data;


import android.annotation.SuppressLint;

import com.android.jingdong.model.JD;
import com.android.jingdong.model.Order;
import com.android.jingdong.R;
import com.android.jingdong.model.User;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DataServer {

    private static List<String> snackOrderList;

    private static List<JD> homeList;

    private static List<JD> fujianList;

    private static List<JD> guangxiList;

    private static List<JD> guangzhouList;

    private static List<JD> beijingList;

    private static List<JD> chongqingList;

    private static List<User> accountList;

    /**
     * 首页数据
     */
    public static List<JD> getHomeList() {
        if (homeList == null) {
            homeList = new ArrayList<JD>() {{
                add(new JD("苹果14", 10999, R.mipmap.sp1, "iPhone 14是苹果公司（Apple）于2022年9月8日发布的手机产品。\n"));
                add(new JD("华为mate40pro", 5888, R.mipmap.sp2, "华为Mate40pro一般指HUAWEI Mate 40pro。 HUAWEI Mate 40pro是华为公司于2020年10月22日发布的手机，于2020年12月21日上市。"));
                add(new JD("联想Y9000P", 8999, R.mipmap.sp3, "联想Y9000P采用了双面金属设计，搭载16英寸四边窄边框屏，2560*1600 分辨率，165Hz刷新率，500nit亮度，100%sRGB色域，HDR400认证，支持杜比视界。"));
                add(new JD("暗影精灵8", 8699, R.mipmap.sp4, "暗影精灵8 Plus，搭载全新i7处理器，全系标配DDR5 4800MHz双通道内存，还有游戏级PCle 4.0 SSD加持，游戏载入少等待、尽情存储少焦虑。"));
                add(new JD("海蓝之谜", 3099, R.mipmap.sp5, "海蓝之谜（LA MER）保湿修护套装(精萃水+面霜)护肤品套装化妆品礼盒生日礼物女预售"));
                add(new JD("雅诗兰黛", 2685, R.mipmap.sp6, "雅诗兰黛修护礼盒(棕瓶50ml+樱花水200ml+胶原霜50ml)护肤品化妆品套装\n"));
                add(new JD("SK-II", 2685, R.mipmap.sp7, "SK-II神仙水75ml精华液sk2全明星晶透礼盒护肤品套装生日礼物女skii\n"));

            }};
        }
        return homeList;
    }

    /**
     * 点菜页面分类左边列表数据
     */
    public static List<String> getSnackOrderList() {
        if (snackOrderList == null) {
            snackOrderList = new ArrayList<String>() {{
                add("手机");
                add("电脑");
                add("美妆");
//                add("鼠标");
//                add("耳机");
            }};
        }
        return snackOrderList;
    }

    /**
     * 手机
     */
    public static List<JD> getFujianList() {
        if (fujianList == null) {
            fujianList = new ArrayList<JD>() {{
                add(new JD("苹果14", 10999, R.mipmap.sp1, "iPhone 14是苹果公司（Apple）于2022年9月8日发布的手机产品。\n"));
                add(new JD("华为mate40pro", 5888, R.mipmap.sp2, "华为Mate40pro一般指HUAWEI Mate 40pro。 HUAWEI Mate 40pro是华为公司于2020年10月22日发布的手机，于2020年12月21日上市。"));

            }};
        }
        return fujianList;
    }

    /**
     * 电脑
     */
    public static List<JD> getGuangxiList() {
        if (guangxiList == null) {
            guangxiList = new ArrayList<JD>() {{
                add(new JD("联想Y9000P", 8999, R.mipmap.sp3, "联想Y9000P采用了双面金属设计，搭载16英寸四边窄边框屏，2560*1600 分辨率，165Hz刷新率，500nit亮度，100%sRGB色域，HDR400认证，支持杜比视界。"));
                add(new JD("暗影精灵8", 8699, R.mipmap.sp4, "暗影精灵8 Plus，搭载全新i7处理器，全系标配DDR5 4800MHz双通道内存，还有游戏级PCle 4.0 SSD加持，游戏载入少等待、尽情存储少焦虑。"));
            }};
        }
        return guangxiList;
    }

    /**
     * 配件
     */
    public static List<JD> getGuangzhouList() {
        if (guangzhouList == null) {
            guangzhouList = new ArrayList<JD>() {{
                add(new JD("海蓝之谜", 3099, R.mipmap.sp5, "海蓝之谜（LA MER）保湿修护套装(精萃水+面霜)护肤品套装化妆品礼盒生日礼物女预售"));
                add(new JD("雅诗兰黛", 2685, R.mipmap.sp6, "雅诗兰黛修护礼盒(棕瓶50ml+樱花水200ml+胶原霜50ml)护肤品化妆品套装\n"));
                add(new JD("SK-II", 2685, R.mipmap.sp7, "SK-II神仙水75ml精华液sk2全明星晶透礼盒护肤品套装生日礼物女skii\n"));

            }};
        }
        return guangzhouList;
    }

//    /**
//     * 鼠标
//     */
//    public static List<JD> getBeijingList() {
//        if (beijingList == null) {
//            beijingList = new ArrayList<JD>() {{
//
//                            }};
//        }
//        return beijingList;
//    }
//
//    /**
//     * 耳机
//     */
//    public static List<JD> getChongqingList() {
//        if (chongqingList == null) {
//            chongqingList = new ArrayList<JD>() {{
//
//                          }};
//        }
//        return chongqingList;
//    }

    /**
     * 用户账号信息
     */
    public static List<User> getAccountList() {
        if (accountList == null) {
            accountList = new ArrayList<User>() {{
                add(new User("luokaiwen", "123456", "帅哥", R.drawable.one4));
            }};
        }
        return accountList;
    }





    public static List<Order> getOrderTest() {
        @SuppressLint("SimpleDateFormat") SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return new ArrayList<Order>() {{
            add(new Order("是我", R.mipmap.user1_head, 10.9, simpleDateFormat.format(new Date())));
            add(new Order("是我", R.mipmap.user1_head, 10.9, simpleDateFormat.format(new Date())));
            add(new Order("是我", R.mipmap.user1_head, 10.9, simpleDateFormat.format(new Date())));
        }};
    }
}
